%global _basename anoise
%global _suffix indicator
%global wheel_name %{_basename}_%{_suffix}

Name:           %{_basename}-%{_suffix}

%global forgeurl https://github.com/goodwillcoding/%{name}
%global commit 7a7b1844879a5db845c01d7558186b9a34b0619e
%global date 20181013
%forgemeta

Version:        1.0
Release:        1%{?dist}
Summary:        Anoise AppIndicator
License:        Unlicense
URL:            %{forgeurl}
Source:         %{forgesource}

BuildRequires:  python3-devel

Requires:       %{_basename}
Requires:       libappindicator-gtk3

BuildArch:      noarch

Provides:       %{_basename}-gui
Conflicts:      %{_basename}-gui
Enhances:       %{_basename}

#------------------------------------------------------------------------------

%description
AppIndicator is an alternative GUI for ANoise (Ambient Noise) application. It provide a more integrated experience, moving all the ANoise features in an easy drop down menu and disabling MPRIS integration.

Features
 - Integrates with ANoise and it's Preferences dialog
 - Show currently playing noise
 - Simple dropdown menu with, Play, Pause, Next, Preferences
 - Middle click (or both buttons) plays and pauses
 - Disable MPRIS integration to avoid having play/pause/next/previous media keys interfere with your relaxation and focus time

Caveats
 - Replaces built-in GUI (runs in it's place)
 - Disables MPRIS integration, play/pause/next/previous media buttons


%files
%doc README.rst
%{_datadir}/icons/hicolor/symbolic/apps/anoise-indicator-*
%{_datadir}/%{_basename}/appindicator.ui
%pycached %{_datadir}/%{_basename}/view.py
#------------------------------------------------------------------------------

%prep
%forgeautosetup -p1

%build
#nothing

%install
mkdir -p %{buildroot}%{_datadir}/%{_basename}
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/symbolic/apps

cp -r src/appindicator.ui %{buildroot}%{_datadir}/%{_basename}/
cp -r src/view.py %{buildroot}%{_datadir}/%{_basename}/
cp -r src/icons/* %{buildroot}%{_datadir}/icons/hicolor/symbolic/apps/

%py_byte_compile %{python3} %{buildroot}%{_datadir}/%{_basename}/

#------------------------------------------------------------------------------

%changelog
* Sun May 4 2025 Hazel Bunny <hazel_bunny@disroot.org> - 1.0-1
- initial package
